CREATE TABLE exm_exp_type_rules (
    EXP_TYPE_RULE_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    EXP_TYPE_RULE_SET_ID     NUMBER(18, 0)    NOT NULL,
    EXPENSE_TEMPLATE_ID      NUMBER(18, 0),
    EXPENSE_TYPE_ID          NUMBER(18, 0),
    AMOUNT                   NUMBER       ,
    CUMULATIVE_AMOUNT        NUMBER       ,
    CURRENCY_CODE            VARCHAR2(60) ,
    PERIOD                   VARCHAR2(120),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    EXP_TYPE_RULE_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    EXP_TYPE_RULE_SET_ID     NUMBER(18, 0)    NOT NULL,
    EXPENSE_TEMPLATE_ID      NUMBER(18, 0),
    EXPENSE_TYPE_ID          NUMBER(18, 0),
    AMOUNT                   NUMBER       ,
    CUMULATIVE_AMOUNT        NUMBER       ,
    CURRENCY_CODE            VARCHAR2(60) ,
    PERIOD                   VARCHAR2(120),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CONSTRAINT pk_exm_exp_type_rules PRIMARY KEY (EXP_TYPE_RULE_ID, EXP_TYPE_RULE_ID)
);
